package br.com.rjconsultores.auditador.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import br.com.rjconsultores.auditador.enums.TipoExtracaoDados;

/**
 * Anotação responsável por indicar que a classe será auditada.
 * 
 * @author wilian
 *
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface AuditarClasse {
	
	/**
	 * Caso seja necessário colocar um nome amigável para a classe, se não for informado o padrão será o nome da classe.
	 */
	String nome();
	
	/**
	 * Atributo para indicar qual tela que o objeto será auditado.
	 */
	String tela();
	
	/**
	 * Define se as informações serão extraídas pelo atributo ou metodo.
	 * @return
	 */
	TipoExtracaoDados tipoExtracaoDados() default TipoExtracaoDados.ATRIBUTO;
}
