package br.com.rjconsultores.auditador.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Anotação responsável que indicará que o atributo é uma entidade e seus atributos deverão ser auditados individualmente.
 * 
 * @author wilian
 *
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface AuditarEntidade {
	
	/**
	 * Caso seja necessário colocar um nome amigável para o atributo, seNão for informado o padrão será o nome do atributo da classe.
	 */
	String nome() default "";

}
