package com.rjconsultores.ventaboletos.blocos.mercantil;

import java.util.ArrayList;

import com.rjconsultores.ventaboletos.ArquivoRemessaItem;
import com.rjconsultores.ventaboletos.blocos.CabecalhoRemessa;
import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.blocos.RodapeRemessa;
import com.rjconsultores.ventaboletos.blocos.RodapeRemessaPadrao;

public class ArquivoRemessaMercantil extends ArquivoRemessaItem {
	
	@Override
	public void setCabecalhoRemessa(CabecalhoRemessa cabecalhoRemessa) {

		if(cabecalhoRemessa instanceof CabecalhoRemessaMercantil){
			super.setCabecalhoRemessa(cabecalhoRemessa);
		}else{
			throw new ClassCastException("Somente cabecalho tipo: " + CabecalhoRemessaMercantil.class.getName());
		}	
	}
	
	@Override
	public void addTitulo(DetalheObrigatorio titulo){
		if(this.titulos == null){
			this.titulos = new ArrayList<DetalheObrigatorio>();
		}
		
		if(titulo instanceof DetalheObrigatorioMercantil){
			titulo.setNumeroSequencialRegistro(titulos.size() + 2);
			this.titulos.add(titulo);
		}else{
			throw new ClassCastException("Somente cabecalho tipo: " + DetalheObrigatorioMercantil.class.getName());
		}
	}
	
	@Override
	public RodapeRemessa getRodapeRemessa() {
		this.rodapeRemessa = this.rodapeRemessa == null ? new RodapeRemessaPadrao() : this.rodapeRemessa;
		rodapeRemessa.setNumeroSequencialRegistro(titulos.size() + 2);
		return rodapeRemessa;
	}
}
