package com.rjconsultores.ventaboletos.blocos.santander;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.blocos.DadosBoleto;
import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.blocos.RateioDeCredito;
import com.rjconsultores.ventaboletos.enuns.TipoInscricaoPagador;

public class DetalheObrigatorioSantander implements DetalheObrigatorio, Cloneable {
	
	private Integer idBoletoFechamento;
	private TipoInscricaoPagador tipoInscricao;
	private String numeroInscricao;
	private String codigoTransmissao;
	private String numControleDoParticipante;
	private String nossoNumeroComDigito;
	private String carteira;
	private String agencia;
	private String agenciaCobradora;
	private String contacorrente;
	private String dvConta;
	private String dvAgencia;
	private Integer QtdPagamento = 0;
	private Integer codigoDeOcorrencia = 0;
	private Date dataOcorrencia;
	private String numeroDoDocumento;
	private Date vencimento;
	private BigDecimal valor;
	private String especieDeTitulo;
	private Date emissao;
	private String instrucao1;
	private String instrucao2;
	private BigDecimal valorAtraso = BigDecimal.ZERO;
	private Date dataLimiteDesconto;
	private BigDecimal valorDesconto = BigDecimal.ZERO;
	private BigDecimal valorIOF = BigDecimal.ZERO;
	private BigDecimal valorAbatimentoConcedido = BigDecimal.ZERO;
	private String nomeSacado;
	private String mensagem1;
	private String enderecoSacado;
	private String bairroSacado;
	private String cepSacado;
	private String complementoCepSacado;
	private String cidade;
	private String estado;
	private String identificadorComplemento;
	private String complemento;
	private String sacadorAvalista;
	private Integer numeroSequencialRegistro;
	private DadosBoleto dadosBoleto;
	private RateioDeCredito rateioDeCredito;
	private String numeroInscricaoSacado;
	private String codigoEmpresa;
	private BigDecimal percentualJuros;
	private BigDecimal percentualMulta;

	
	@Override
	public void setIdBoletoFechamento(Integer id) {
		this.idBoletoFechamento = id;
		
	}
	@Override
	public Integer getIdBoletoFechamento(){
		return this.idBoletoFechamento;
	}

	@Override
	public DetalheObrigatorio clone() throws CloneNotSupportedException {
		return (DetalheObrigatorio) super.clone();
	}
	
	public TipoInscricaoPagador getTipoInscricao() {
		return tipoInscricao;
	}
	public void setTipoInscricao(TipoInscricaoPagador tipoInscricao) {
		this.tipoInscricao = tipoInscricao;
	}
	public String getNumeroInscricao() {
		return numeroInscricao;
	}
	public void setNumeroInscricao(String numeroInscricao) {
		this.numeroInscricao = numeroInscricao;
	}
	public String getCodigoTransmissao() {
		return codigoTransmissao;
	}
	public void setCodigoTransmissao(String codigoTransmissao) {
		this.codigoTransmissao = codigoTransmissao;
	}
	public String getNumControleDoParticipante() {
		return numControleDoParticipante;
	}
	public void setNumControleDoParticipante(String numControleDoParticipante) {
		this.numControleDoParticipante = numControleDoParticipante;
	}
	public String getNossoNumeroComDigito() {
		return nossoNumeroComDigito;
	}
	public void setNossoNumeroComDigito(String nossoNumeroComDigito) {
		this.nossoNumeroComDigito = nossoNumeroComDigito;
	}
	public String getCarteira() {
		return carteira;
	}
	public void setCarteira(String carteira) {
		this.carteira = carteira;
	}
	public String getAgencia() {
		return agencia;
	}
	public void setAgencia(String agencia) {
		this.agencia = agencia;
	}
	public String getContacorrente() {
		return contacorrente;
	}
	public void setContacorrente(String contacorrente) {
		this.contacorrente = contacorrente;
	}
	public String getDvConta() {
		return dvConta;
	}
	public void setDvConta(String dvConta) {
		this.dvConta = dvConta;
	}
	public Integer getQtdPagamento() {
		return QtdPagamento;
	}
	public void setQtdPagamento(Integer qtdPagamento) {
		QtdPagamento = qtdPagamento;
	}
	public Integer getCodigoDeOcorrencia() {
		return codigoDeOcorrencia;
	}
	public void setCodigoDeOcorrencia(Integer codigoDeOcorrencia) {
		this.codigoDeOcorrencia = codigoDeOcorrencia;
	}
	public Date getDataOcorrencia() {
		return dataOcorrencia;
	}
	public void setDataOcorrencia(Date dataOcorrencia) {
		this.dataOcorrencia = dataOcorrencia;
	}
	public String getNumeroDoDocumento() {
		return numeroDoDocumento;
	}
	public void setNumeroDoDocumento(String numeroDoDocumento) {
		this.numeroDoDocumento = numeroDoDocumento;
	}
	public Date getVencimento() {
		return vencimento;
	}
	public void setVencimento(Date vencimento) {
		this.vencimento = vencimento;
	}
	public BigDecimal getValor() {
		return valor;
	}
	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}
	public String getEspecieDeTitulo() {
		return especieDeTitulo;
	}
	public void setEspecieDeTitulo(String especieDeTitulo) {
		this.especieDeTitulo = especieDeTitulo;
	}
	public Date getEmissao() {
		return emissao;
	}
	public void setEmissao(Date emissao) {
		this.emissao = emissao;
	}
	public String getInstrucao1() {
		return instrucao1;
	}
	public void setInstrucao1(String instrucao1) {
		this.instrucao1 = instrucao1;
	}
	public String getInstrucao2() {
		return instrucao2;
	}
	public void setInstrucao2(String instrucao2) {
		this.instrucao2 = instrucao2;
	}
	public BigDecimal getValorAtraso() {
		return valorAtraso;
	}
	public void setValorAtraso(BigDecimal valorAtraso) {
		this.valorAtraso = valorAtraso;
	}
	public Date getDataLimiteDesconto() {
		return dataLimiteDesconto;
	}
	public void setDataLimiteDesconto(Date dataLimiteDesconto) {
		this.dataLimiteDesconto = dataLimiteDesconto;
	}
	public BigDecimal getValorDesconto() {
		return valorDesconto;
	}
	public void setValorDesconto(BigDecimal valorDesconto) {
		this.valorDesconto = valorDesconto;
	}
	public BigDecimal getValorIOF() {
		return valorIOF;
	}
	public void setValorIOF(BigDecimal valorIOF) {
		this.valorIOF = valorIOF;
	}
	public BigDecimal getValorAbatimentoConcedido() {
		return valorAbatimentoConcedido;
	}
	public void setValorAbatimentoConcedido(BigDecimal valorAbatimentoConcedido) {
		this.valorAbatimentoConcedido = valorAbatimentoConcedido;
	}

	public String getMensagem1() {
		return mensagem1;
	}
	public void setMensagem1(String mensagem1) {
		this.mensagem1 = mensagem1;
	}
	public String getCepSacado() {
		return cepSacado;
	}
	public void setCepSacado(String cepSacado) {
		this.cepSacado = cepSacado;
	}
	public String getComplementoCepSacado() {
		return complementoCepSacado;
	}
	public void setComplementoCepSacado(String complementoCepSacado) {
		this.complementoCepSacado = complementoCepSacado;
	}

	public Integer getNumeroSequencialRegistro() {
		return numeroSequencialRegistro;
	}
	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		this.numeroSequencialRegistro = numeroSequencialRegistro;
	}
	public DadosBoleto getDadosBoleto() {
		return dadosBoleto;
	}
	public void setDadosBoleto(DadosBoleto dadosBoleto) {
		this.dadosBoleto = dadosBoleto;
	}
	public RateioDeCredito getRateioDeCredito() {
		return rateioDeCredito;
	}
	public void setRateioDeCredito(RateioDeCredito rateioDeCredito) {
		this.rateioDeCredito = rateioDeCredito;
	}

	public String getBairroSacado() {
		return bairroSacado;
	}
	
	public void setBairroSacado(String bairroSacado) {
		this.bairroSacado = bairroSacado;
	}
	
	public String getCidade() {
		return cidade;
	}
	
	public void setCidade(String cidade) {
		this.cidade = cidade;
	}
	
	public String getEstado() {
		return estado;
	}
	
	public void setEstado(String estado) {
		this.estado = estado;
	}
	
	public String getIdentificadorComplemento() {
		return identificadorComplemento;
	}
	
	public void setIdentificadorComplemento(String identificadorComplemento) {
		this.identificadorComplemento = identificadorComplemento;
	}
	
	public String getComplemento() {
		return complemento;
	}
	
	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}
	
	public String getNomeSacado() {
		return nomeSacado;
	}
	
	public void setNomeSacado(String nomeSacado) {
		this.nomeSacado = nomeSacado;
	}
	
	public String getEnderecoSacado() {
		return enderecoSacado;
	}
	
	public void setEnderecoSacado(String enderecoSacado) {
		this.enderecoSacado = enderecoSacado;
	}
	public String getSacadorAvalista() {
		return sacadorAvalista;
	}
	public void setSacadorAvalista(String sacadorAvalista) {
		this.sacadorAvalista = sacadorAvalista;
	}
	public String getNumeroInscricaoSacado() {
		return numeroInscricaoSacado;
	}
	public void setNumeroInscricaoSacado(String numeroInscricaoSacado) {
		this.numeroInscricaoSacado = numeroInscricaoSacado;
	}
	public String getAgenciaCobradora() {
		return agenciaCobradora;
	}
	public void setAgenciaCobradora(String agenciaCobradora) {
		this.agenciaCobradora = agenciaCobradora;
	}
	public String getDvAgencia() {
		return dvAgencia;
	}
	public void setDvAgencia(String dvAgencia) {
		this.dvAgencia = dvAgencia;
	}
	public String getCodigoEmpresa() {
		return codigoEmpresa;
	}
	public void setCodigoEmpresa(String codigoEmpresa) {
		this.codigoEmpresa = codigoEmpresa;
	}
	public BigDecimal getPercentualJuros() {
		return percentualJuros;
	}
	public void setPercentualJuros(BigDecimal percentualJuros) {
		this.percentualJuros = percentualJuros;
	}
	public BigDecimal getPercentualMulta() {
		return percentualMulta;
	}
	public void setPercentualMulta(BigDecimal percentualMulta) {
		this.percentualMulta = percentualMulta;
	}

	
}
