package com.rjconsultores.ventaboletos.layouts;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.jrimum.texgit.Record;

import com.rjconsultores.ventaboletos.blocos.CabecalhoRemessa;
import com.rjconsultores.ventaboletos.blocos.CabecalhoRetorno;
import com.rjconsultores.ventaboletos.blocos.DadosBoleto;
import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.blocos.DetalheRetorno;
import com.rjconsultores.ventaboletos.blocos.RateioDeCredito;
import com.rjconsultores.ventaboletos.blocos.RodapeRemessa;
import com.rjconsultores.ventaboletos.blocos.RodapeRetorno;
import com.rjconsultores.ventaboletos.enuns.BancoLayout;

public class SantanderProcessaRetorno extends AbstractFlatFile implements RetornoInteface {

	protected SantanderProcessaRetorno() {
		super(BancoLayout.SANTANDER_400_Retorno);
	}

	@Override
	protected void createHeader(CabecalhoRemessa cabecalhoRemessaParam) {
		throw new UnsupportedOperationException("Somente classe de Envio.");
	}

	@Override
	protected void createTransacaoTitulos(DetalheObrigatorio tituloParam) {
		throw new UnsupportedOperationException("Somente classe de Envio.");
	}

	@Override
	protected Record createDadosBoletos(DadosBoleto boleto) {
		throw new UnsupportedOperationException("Somente classe de Envio.");
	}

	@Override
	protected Record createRateioDeCredito(RateioDeCredito rateioDeCredito) {
		throw new UnsupportedOperationException("Somente classe de Envio.");
	}

	@Override
	protected void createTrailler(RodapeRemessa trailler) {
		throw new UnsupportedOperationException("Somente classe de Envio.");
	}

	@Override
	protected CabecalhoRetorno readHeader(Record header) {

		CabecalhoRetorno cabecalhoRetorno = new CabecalhoRetorno();
		String codEmpresa = header.getValue("CodigoDaEmpresa");
		String numeroDoAvisoBancario = header.getValue("NumeroDoAvisoBancario");
		
		cabecalhoRetorno.setCodEmpresa(codEmpresa);
		cabecalhoRetorno.setNumeroDoAvisoBancario(numeroDoAvisoBancario);
		
		return cabecalhoRetorno;
	}

	@Override
	protected List<DetalheRetorno> readTransacaoTitulos(Collection<Record> registrosDeTransacoes) {
		
		List<DetalheRetorno> retornos = new ArrayList<DetalheRetorno>();
		
		for (Record record : registrosDeTransacoes) {
/*			
			DetalheRetorno detalheRetorno = new DetalheRetorno();
			
			String numeroControleDoParticipante = record.getValue("NumeroControleDoParticipante");
			String codigoDeOcorrencia = record.getValue("CodigoDeOcorrencia");
			String codigoDeMotivo1 = record.getValue("CodigoDeMotivo1");
			String codigoDeMotivo2 = record.getValue("CodigoDeMotivo2");
			String codigoDeMotivo3 = record.getValue("CodigoDeMotivo3");
			String codigoDeMotivo4 = record.getValue("CodigoDeMotivo4");
			String codigoDeMotivo5 = record.getValue("CodigoDeMotivo5");
			
			OcorrenciaSantander ocorrencia = OcorrenciaSantander.getInstance(codigoDeOcorrencia);
			detalheRetorno.setNumeroControleDoParticipante(numeroControleDoParticipante);
			detalheRetorno.setOcorrencia(ocorrencia);
			
			if(checkIsNullOrBlank(codigoDeMotivo1)){
				MotivoOcorrenciaSantander motivoOcorrencia = MotivoOcorrenciaSantander.getInstance(ocorrencia, codigoDeMotivo1);
				detalheRetorno.addMotivoOcorrencia(motivoOcorrencia);
			}
			
			if(checkIsNullOrBlank(codigoDeMotivo2)){
				MotivoOcorrenciaSantander motivoOcorrencia = MotivoOcorrenciaSantander.getInstance(ocorrencia, codigoDeMotivo2);
				detalheRetorno.addMotivoOcorrencia(motivoOcorrencia);
			}
			
			if(checkIsNullOrBlank(codigoDeMotivo3)){
				MotivoOcorrenciaSantander motivoOcorrencia = MotivoOcorrenciaSantander.getInstance(ocorrencia, codigoDeMotivo3);
				detalheRetorno.addMotivoOcorrencia(motivoOcorrencia);
			}
			
			if(checkIsNullOrBlank(codigoDeMotivo4)){
				MotivoOcorrenciaSantander motivoOcorrencia = MotivoOcorrenciaSantander.getInstance(ocorrencia, codigoDeMotivo4);
				detalheRetorno.addMotivoOcorrencia(motivoOcorrencia);
			}
			
			if(checkIsNullOrBlank(codigoDeMotivo5)){
				MotivoOcorrenciaSantander motivoOcorrencia = MotivoOcorrenciaSantander.getInstance(ocorrencia, codigoDeMotivo5);
				detalheRetorno.addMotivoOcorrencia(motivoOcorrencia);
			}			
			
			retornos.add(detalheRetorno);
*/			
		}
		
		return retornos;
	}
	
	private boolean checkIsNullOrBlank(String value){
		
		if(value != null){
			return StringUtils.isEmpty(value);
		}
		
		return Boolean.TRUE;
	}

	@Override
	protected RodapeRetorno readTrailler(Record trailler) {

		RodapeRetorno rodapeRetorno = new RodapeRetorno();
		
		
		return rodapeRetorno;

		
	}
}
