package com.rjconsultores.ventaboletos.utils;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;

public class FormataUtil {

	public static String formatarValorPorTamanho(String value, int tamanho) {
		
		value = value == null ? "" : value;
		
		if(value.length() > tamanho){
			value = value.substring(0, tamanho);
		}
		
		return value;
	}
	
	public static String formatarValorPorTamanho(Integer valor, int tamanho) {
		
		String value = valor == null ? "" : valor.toString();
		
		return formatarValorPorTamanho(value, tamanho) ;
	}
	
	public static String formatarValorPorTamanho(BigDecimal valor, int tamanho) {
		
		String value = valor == null ? "" : valor.toString();
		
		return formatarValorPorTamanho(value, tamanho) ;
	}
	
	public static String formatarValorPorTamanhoZeroEsquerda(String value, int tamanho) {
		
		value = value == null ? "" : value;
		
		if(value.length() > tamanho){
			value = value.substring(0, tamanho);
		}
		
		while(value.length() < tamanho){
			value = "0" + value;
		}
		
		return value;
	}
	
	public static String formatarValorPorTamanhoZeroDireita(String value, int tamanho) {
		
		value = value == null ? "" : value;
		
		if(value.length() > tamanho){
			value = value.substring(0, tamanho);
		}
		
		while(value.length() < tamanho){
			value = value + "0";
		}
		
		return value;
	}

	public static Date formataData(Date data) {

		if(data == null){
			data = new Date();
		}
		
		return data;
	}
	
	public static String formataDataToString(Date data, String defaultValue) {

		if(data == null){
			return defaultValue;
		}
		
		return new SimpleDateFormat("ddMMyyyy").format(data);
	}
	
	public static String formataDataToString(Date data, String defaultValue, String pattern) {

		if(data == null){
			return defaultValue;
		}
		
		return new SimpleDateFormat(pattern).format(data);
	}
}
